Patch borrowed from Debian's kde4libs package.
Index: kdelibs/kded/CMakeLists.txt
===================================================================
--- kdelibs.orig/kded/CMakeLists.txt	2010-08-05 11:12:43.000000000 +0200
+++ kdelibs/kded/CMakeLists.txt	2010-08-05 11:33:59.000000000 +0200
@@ -63,7 +63,7 @@
 if (WIN32)
 install( FILES applications.menu  DESTINATION  ${SHARE_INSTALL_PREFIX}/xdg/menus )
 else (WIN32)
-install( FILES applications.menu  DESTINATION  ${SYSCONF_INSTALL_DIR}/xdg/menus )
+install( FILES applications.menu  DESTINATION  ${SYSCONF_INSTALL_DIR}/xdg/menus RENAME kde4-applications.menu )
 endif (WIN32)
 install( FILES kdedmodule.desktop DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
 install( FILES kded.upd           DESTINATION  ${DATA_INSTALL_DIR}/kconf_update )
Index: kdelibs/kded/vfolder_menu.cpp
===================================================================
--- kdelibs.orig/kded/vfolder_menu.cpp	2010-08-05 11:12:43.000000000 +0200
+++ kdelibs/kded/vfolder_menu.cpp	2010-08-05 11:33:59.000000000 +0200
@@ -772,8 +772,10 @@
    QString result;
 
    QString xdgMenuPrefix = QString::fromLocal8Bit(qgetenv("XDG_MENU_PREFIX"));
-   if (!xdgMenuPrefix.isEmpty())
-   {
+   // enforce kde4 prefix unless XDG_MENU_PREFIX is set (LP: #297195)
+   if (xdgMenuPrefix.isEmpty())
+      xdgMenuPrefix = QString("kde4-");
+
       QFileInfo fileInfo(fileName);
 
       QString fileNameOnly = fileInfo.fileName();
@@ -783,7 +785,6 @@
       QString baseName = QDir::cleanPath(m_docInfo.baseDir +
                                          fileInfo.path() + '/' + fileNameOnly);
       result = KStandardDirs::locate("xdgconf-menu", baseName);
-   }
 
    if (result.isEmpty())
    {
